Get integration definition
Integration Definition
Get integration definition
Retrieves a specific integration definition by provider
GET
Get integration definition
Documentation Index
Fetch the complete documentation index at: https://ota-docs.calry.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The integration provider
Available options:
BOOKINGSYNC, CIIRUS, GUESTY, HOSTAWAY, HOSTFULLY, HOSTIFY, INTERHOME, LODGIFY, OWNERREZ, HOSTHUB, UPLISTING, BEDS24, HOST_TOOLS, HOSTFULLYSANDBOX, HOSPITABLE, TOKEET Response
Integration definition retrieved successfully
Unique identifier for the integration definition
Example:
"123e4567-e89b-12d3-a456-426614174000"
Name of the integration
Example:
"Hostaway Integration"
The integration provider
Available options:
BOOKINGSYNC, CIIRUS, GUESTY, HOSTAWAY, HOSTFULLY, HOSTIFY, INTERHOME, LODGIFY, OWNERREZ, HOSTHUB, UPLISTING, BEDS24, HOST_TOOLS, HOSTFULLYSANDBOX, HOSPITABLE, TOKEET Example:
"HOSTAWAY"
Configuration for which fields to sync
Example:
{
"listing": {
"name": true,
"type": true,
"rooms": true,
"rating": true,
"address": true,
"checkIn": false,
"contact": false,
"checkOut": false,
"currency": true,
"latitude": true,
"pictures": false,
"timeZone": false,
"amenities": true,
"longitude": true,
"providerID": true,
"startPrice": false,
"description": true,
"bedroomCount": false,
"internalName": false,
"maxOccupancy": false,
"thumbnailUrl": false,
"bathroomCount": false,
"maximumNights": true,
"minimumNights": true,
"listingDetails": true,
"parentPropertyID": false
}
}When the integration definition was created
Example:
"2025-01-01T00:00:00.000Z"
When the integration definition was last updated
Example:
"2025-01-02T00:00:00.000Z"
URL of the integration icon
Example:
"https://example.com/icons/hostaway.png"
Configuration for the integration partner key
Example:
{
"headers": { "x-api-key": "YOUR_API_KEY" },
"queryParams": { "client_id": "YOUR_CLIENT_ID" }
}